Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.mx
Class Listener

    java.lang.Object
      org.jboss.portal.common.mx.Listener

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.management.NotificationFilter, javax.management.NotificationListener

    public class Listener

extends java.lang.Object
implements javax.management.NotificationFilter, javax.management.NotificationListener

Helper class that filter and listen notifications and help to registration.

Version:
  $Revision: 5451 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`protected org.apache.log4j.Logger` | `log`
`protected javax.management.MBeanServer` | `server`

Constructor Summary
`Listener(javax.management.MBeanServer server)`

Method Summary
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)` Does not perform anything by default.
`boolean` | `isNotificationEnabled(javax.management.Notification notification)` Returns true by default.
`void` | `register(javax.management.ObjectName broadcaster)`
`void` | `register(javax.management.ObjectName broadcaster, java.lang.Object handback)`
`void` | `unregister(javax.management.ObjectName broadcaster)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected final javax.management.MBeanServer server

### log

    protected final org.apache.log4j.Logger log

Constructor Detail

### Listener

    public Listener(javax.management.MBeanServer server)

Method Detail

### register

    public void register(javax.management.ObjectName broadcaster)

### register

    public void register(javax.management.ObjectName broadcaster,
                         java.lang.Object handback)

### unregister

    public void unregister(javax.management.ObjectName broadcaster)

### isNotificationEnabled

    public boolean isNotificationEnabled(javax.management.Notification notification)

  Returns true by default.

  Specified by:
    `isNotificationEnabled` in interface `javax.management.NotificationFilter`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Does not perform anything by default.

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.